# Auto-Restock

![Banner Image](https://i.imgur.com/fV8R9eg.png)

## Description

Automatically takes items from nearby chests to restock items / buildables. Use the config entries to set your desired number of stacks for each item. 

Exmaples: 

- If you have 10 filter inserters in your inventory and walk past a chest that contains 250, 240 of them will be sent to your inventory. 
- If the chest does not have enough items to complete the stack in your inventory, it will send you as much as it can, leaving 1 of the item in the chest.
- If you have 0 filter inserters in your inventory, none will be sent to you.

## Config Options

| Name           |   Type  | Description                                                    | Default Value |  Range  |
|----------------|:-------:|----------------------------------------------------------------|:-------------:|:-------:|
| Restock Radius | Integer | The radius around the player to search for chests to take from |       5       | 0 -> 10 |
| Item Name      | Integer | The number of stacks of {name} to restock up to                |     1 / 0     |   0+    |

There is a config entry for every item in the game. Use these entries to set your desired number of stacks of that item. Buildings default to 1 stack, items default to 0 stacks.

For example, if you set the Conveyor Belt entry to 4, chest will try give you up to 2000 Conveyor Belts.

&nbsp;
## Installation

If you use Techtonica Mod Loader then you can skip this section.

Note, this mod requires use of the BepInEx Update function. If you have not already done so for another mod, follow these instructions:
1. Find your game install folder.
2. Navigate to BepInEx\config.
3. Open BepInEx.cfg.
4. Find the setting "HideGameManagerObject".
5. Set it to "true".
6. Save & close.

### Techtonica Mod Loader Installation

You can download the Techtonica Mod Loader from [here](https://github.com/CubeSuite/TechtonicaModLoader/releases) and use that to install this mod.

### Manual Install Instructions

Note: If you are playing on Gamepass, your game version is likely behind the steam version. Please check the version compatibility chart below.

Your game folder is likely in one of these places:  
    • Steam: (A-Z):/steam/steamapps/common/Techtonica  
    • Gamepass: (A-Z):/XboxGames/Techtonica/Content  
    • Gamepass: Could also be in C:/Program Data/WindowsApps  

1. Download BepInEx v5.4.21 from [here](https://github.com/BepInEx/BepInEx/releases)
2. Follow the installation instructions [here](https://docs.bepinex.dev/articles/user_guide/installation/index.html)
3. Extract the contents of the .zip file for this mod.
4. Drag the "BepInEx" folder into your game folder.
5. Change config options. 

## Version Compatibility

|  Mod Version  |  Game Version  |
|:-------------:|:--------------:|
|     v2.x.x    |     v0.3.0e    |
|     v1.x.x    |     v0.2.1c    |

## Changelog

### V2.1.0

- Added a config entry for each item to allow players to set the number of stacks of each item to restock up to.

### V2.0.0

- Chests will now hold on to 1 of an item when restocking.

### V1.0.0

Initial release.

&nbsp;
## Disclaimer

Note: NEW Games must be loaded, saved, and reloaded for mods to take effect. Existing saves will auto-apply mods. 
Please be sure to backup your saves before using mods: AppData\LocalLow\Fire Hose Games\Techtonica 
USE AT YOUR OWN RISK! Techtonica Devs do not provide support for Mods, and cannot recover saves damaged by mod usage.

Some assets may come from Techtonica or from the website created and owned by Fire Hose Games, who hold the copyright of Techtonica. All trademarks and registered trademarks present in any images are proprietary to Fire Hose Games.
